//
//  detectionContoursApplet.java
//  detectionContoursApplet
//
//  Created by Thomas Jannaud on 30/12/09.
//  Copyright (c) 2009 Jannaud's Technical Company. All rights reserved.
//

import javax.swing.*;
import java.awt.GridLayout;
import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.Graphics;
import java.applet.*;
import javax.swing.event.*;
import java.awt.event.*;

import javax.swing.filechooser.FileFilter;
import javax.swing.JFileChooser;
import java.io.File;


public class detectionContoursApplet extends JApplet implements ActionListener {
	public cadrePhoto photo;
	
	public void init() {
		// set the default look and feel
		String laf = UIManager.getSystemLookAndFeelClassName();
		try {
			UIManager.setLookAndFeel(laf);
		} catch (UnsupportedLookAndFeelException exc) {
			System.err.println ("Warning: UnsupportedLookAndFeel: " + laf);
		} catch (Exception exc) {
			System.err.println ("Error loading " + laf + ": " + exc);
		}
		
		this.getContentPane().setLayout(null);
		
		JButton boutonDetect = new JButton("Detect");
		JButton boutonStop = new JButton("Stop");
		
		boutonStop.addActionListener(this);
		boutonDetect.addActionListener(this);

		JPanel boutons = new JPanel();
		boutons.setLayout(new GridLayout(1, 3));
		boutons.add(boutonDetect);
		boutons.add(boutonStop);
		
		setSize(300, 300);
		setVisible(true);
		
		photo = new cadrePhoto();
		photo.setPicture(getParameter("filename"));
      JScrollPane pictureScrollPane = new JScrollPane(photo, ScrollPaneConstants.VERTICAL_SCROLLBAR_AS_NEEDED, ScrollPaneConstants.HORIZONTAL_SCROLLBAR_AS_NEEDED);
		
		setLayout(new BorderLayout());
		add(pictureScrollPane, BorderLayout.CENTER);
		add(boutons, BorderLayout.SOUTH);
	}
	
	public void actionPerformed(ActionEvent action) {
		String s = action.getActionCommand();
		if (s.equals("Detect"))
			photo.detectContours();
		else if (s.equals("Stop"))
			photo.stop();
/*		else if (s.equals("Open")) {
			JFileChooser filebox = new JFileChooser("");
			filebox.addChoosableFileFilter(new FiltreImage());
			if(filebox.showOpenDialog(new JFrame()) == JFileChooser.APPROVE_OPTION)
				photo.setPicture(filebox.getSelectedFile().getPath());
		}*/
	}
}

class FiltreImage extends FileFilter {
	public FiltreImage(){}
	public boolean accept(File file){
		if(file.isDirectory())
			return true;
		String nomFichier = file.getName().toLowerCase();
		return nomFichier.endsWith(".jpg") || nomFichier.endsWith(".png");
	}
	public String getDescription(){
		return "Images JPEG, PNG";
	}
}